#pragma once

#include <counter_session/client.h>
#include <base/connection.h>

namespace Counter { struct Connection; }

struct Counter::Connection : Genode::Connection<Session>, Session_client
{
	/**
	 * Constructor
	 */
	Connection(Genode::Env &env)
	:
		Genode::Connection<Session> { env,
		                              Label { },
		                              Ram_quota { 8*1024 },
		                              Args { } },
		Session_client(cap())
	{ }
};

